Package: org.codehaus.groovy.tools.shell.util

## [Groovy] Class NoExitSecurityManager

- org.codehaus.groovy.tools.shell.util.NoExitSecurityManager

- Custom security manager to System.exit (and related) from being used.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `NoExitSecurityManager (SecurityManager parent)`
    `NoExitSecurityManager ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `checkExit(int code)` Always throws SecurityException.
    `` | `void` | `checkPermission(Permission perm)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class SecurityManager` | `checkPackageAccess, checkMemberAccess, checkPermission, checkPermission, checkCreateClassLoader, checkPropertiesAccess, checkPropertyAccess, getThreadGroup, checkAccept, checkAccess, checkAccess, checkAwtEventQueueAccess, checkConnect, checkConnect, checkDelete, checkExec, checkExit, checkLink, checkListen, checkMulticast, checkMulticast, checkPackageDefinition, checkPrintJobAccess, checkRead, checkRead, checkRead, checkSecurityAccess, checkSetFactory, checkSystemClipboardAccess, checkTopLevelWindow, checkWrite, checkWrite, getInCheck, getSecurityContext, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### NoExitSecurityManager(SecurityManager parent)

    - #### NoExitSecurityManager()

  - ### Method Detail

    - #### @Override void checkExit(int code)

      Always throws SecurityException.

    - #### @Override void checkPermission(Permission perm)